Bug 492869 - XEmacs sporadically crashes when replying or moving in VM
XEmacs sporadically crashes when replying or moving in VM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 09:47 EDT by Michael Schmitz
Modified: 2009-12-18 04:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:09:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schmitz 2009-03-30 09:47:24 EDT
Description of problem:
Sometimes when I reply to an email or move around in my inbox in VM, XEmacs crashes. This is what was written to my xterm when I had the problem today:

    ~> xemacs&
    [1] 22441
    ~> XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    XGetICValues bad Arg: areaNeeded
    
    Fatal error (11).
    
    Your files have been auto-saved.
    Use `M-x recover-session' to recover them.
    
    Your version of XEmacs was distributed with a PROBLEMS file that may describe
    your crash, and with luck a workaround.  Please check it first, but do report
    the crash anyway.
    
    Please report this bug by invoking M-x report-emacs-bug, or by selecting
    `Send Bug Report' from the Help menu.  If that won't work, send ordinary
    email to `xemacs-beta@xemacs.org'.  *MAKE SURE* to include this entire
    output from this crash, especially including the Lisp backtrace, as well as
    the XEmacs configuration from M-x describe-installation (or equivalently,
    the file `Installation' in the top of the build tree).
    
    *Please* try *hard* to obtain a C stack backtrace; without it, we are unlikely
    to be able to analyze the problem.  Locate the core file produced as a result
    of this crash (often called `core' or `core.<process-id>', and located in
    the directory in which you started XEmacs or your home directory), and type
    
      gdb /usr/bin/xemacs core
    
    then type `where' at the debugger prompt.  No GDB on your system?  You may
    have DBX, or XDB, or SDB.  (Ask your system administrator if you need help.)
    If no core file was produced, enable them (often with `ulimit -c unlimited')
    in case of future recurrance of the crash.
    
    Lisp backtrace follows:
    
      # (unwind-protect ...)
      # (unwind-protect ...)
      # (unwind-protect ...)
      # (unwind-protect ...)
      # (unwind-protect ...)
      # (unwind-protect ...)
      # (unwind-protect ...)
      # (condition-case ... . error)
      # (unwind-protect ...)
      read-minibuffer-internal("Complete attribution name: ")
      byte-code("..." [standard-output standard-input prompt recursion-depth minibuffer-depth t read-minibuffer-internal] 2)
      # (catch exit ...)
      # bind (mouse-grabbed-buffer current-prefix-arg minibuffer-history-variable minibuffer-history-position minibuffer-scroll-window)
      # (unwind-protect ...)
      # bind (minibuffer-default _history_ oconfig mconfig frame buffer window oframe owindow dir default abbrev-table history readp keymap initial-contents prompt)
      read-from-minibuffer("Complete attribution name: " "Kai" #<keymap size 9 0xb2bf1> nil nil nil nil)
      # bind (minibuffer-completion-table minibuffer-completion-predicate minibuffer-completion-confirm last-exact-completion ret default history initial-contents require-match predicate table prompt)
      completing-read("Complete attribution name: " (("Wiemer") ("Kai") ("Kai.Wiemer") ("WK")) nil nil "Kai")
      # bind (history initial-contents require-match predicate table prompt)
      sc-completing-read("Complete attribution name: " (("Wiemer") ("Kai") ("Kai.Wiemer") ("WK")) nil nil ("Kai" . 0) sc-attribution-confirmation-history)
      byte-code("..." [choice initial query-alist citation sc-attrib-or-cite sc-read-string "Enter citation prefix: " sc-citation-confirmation-history sc-completing-read "Complete attribution name: " nil 0 sc-attribution-confirmation-history ""] 7)
      # (catch sc-reconfirm ...)
      # bind (choice completer-disable initial minibuffer-local-map minibuffer-local-completion-map query-alist query-p attribution citation attriblist)
      sc-select-attribution()
      # bind (mark point mark-active zmacs-regions)
      sc-cite-original()
      run-hooks(sc-cite-original)
      # (unwind-protect ...)
      # bind (b start end message)
      vm-yank-message([[#<marker at 30167736 in inbox 0x43f5b88> #<marker at 30167776 in inbox 0x43f5bb8> #<marker at 30168866 in inbox 0x540aaf8> #<marker at 30169051 in inbox 0x4439b38> #<marker at 30277140 in inbox 0x43f5be8> #<marker at 30277140 in inbox 0x43f5c18>] ["52" " 52" nil #<marker at 5068 in inbox Summary 0x496c2f8> #<marker at 5155 in inbox Summary 0x496c328> <<>> <-- BellFrom_ "51" #<buffer "inbox"> nil nil nil nil nil nil [("multipart/mixed" "boundary=----_=_NextPart_001_01C9AD46.16C65D34") ("multipart/mixed" "boundary=\"----_=_NextPart_001_01C9AD46.16C65D34\"") "7bit" nil nil nil nil #<marker at 30168160 in inbox 0x540ab28> #<marker at 30169050 in inbox 0x540ab58> #<marker at 30169051 in inbox 0x540aeb8> #<marker at 30277140 in inbox 0x540ae88> ([("text/plain" "charset=iso-8859-1") ("text/plain" "charset=\"iso-8859-1\"") "quoted-printable" nil nil nil nil #<marker at 30169137 in inbox 0x7f38d4d93df8> #<marker at 30169229 in inbox 0x7f38d4d93e28> #<marker at 30169230 in inbox 0x7f38d4d94098> #<marker at 30169265 in inbox 0x7f38d4d940c8> nil <<c>> <<m>> nil nil nil] [("application/pdf") ("\"application/pdf\"") "base64" nil "2009-03-23---2009-03-29.pdf" ("attachment" "filename=2009-03-23---2009-03-29.pdf") ("attachment" "filename=\"2009-03-23---2009-03-29.pdf\"") #<marker at 30169306 in inbox 0x7f38d4d940f8> #<marker at 30169538 in inbox 0x7f38d4d94128> #<marker at 30169539 in inbox 0x7f38d49ac838> #<marker at 30277096 in inbox 0x7f38d49ac868> nil <<c>> <<m>> nil nil nil]) <<c>> <<m>> nil nil nil] none #<extent (5068, 5155) H 0x496b4f8 in buffer inbox Summary> nil] [nil nil nil nil nil nil nil nil nil] ["108089" "Wednesday" "25" "March" "2009" "14:34:48" "+0200" "Wiemer Kai" "Kai.Wiemer@tietoenator.com" "<D61E396174E4114593DC18B37118C78E409B57@barracuda.eu.tieto.com>" "1423" "Timecard 2009-03-23---2009-03-29" "^From:" nil nil "3" nil nil (number " " mark "        Wiemer Kai        Mar 25 1423/108089 " thread-indent "\"Timecard 2009-03-23---2009-03-29\"\n") nil nil nil nil nil nil] [nil <v> t nil nil t]])
      # (unwind-protect ...)
      # (unwind-protect ...)
      # bind (mlist dir message-pointer case-fold-search to cc subject mp in-reply-to references tmp tmp2 newsgroups count include-text to-all)
      vm-do-reply(nil t 1)
      # bind (count)
      vm-reply-include-text(1)
      # bind (command-debug-status)
      call-interactively(vm-reply-include-text)
      # (condition-case ... . error)
      # (catch top-level ...)
    
    
    [1]  + segmentation fault (core dumped)  xemacs


Version-Release number of selected component (if applicable):
xemacs-21.5.28-9.fc10

How reproducible:
sporadically

Steps to Reproduce:
1. open inbox in VM
2. reply to an email
  
Actual results:
crash

Expected results:
window permitting to type my reply

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2009-06-15 14:00:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Jerry James 2009-07-02 16:07:52 EDT
Michael, I don't use VM.  Could you possibley do 'debuginfo-install xemacs', run XEmacs under gdb, trigger the problem, and then post a backtrace here?
Comment 3 Bug Zapper 2009-11-18 06:38:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:09:10 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.